import { Schedule } from '@modules/ad/core/domain/value-objects/schedule.value-object';

describe('Schedule value object', () => {
  it('should create a schedule value object', () => {
    const scheduleVO = new Schedule({
      mon: '07:00',
      tue: '07:05',
      wed: '07:10',
      thu: '07:15',
      fri: '07:20',
      sat: '07:25',
      sun: '07:30',
    });
    expect(scheduleVO.mon).toBe('07:00');
    expect(scheduleVO.tue).toBe('07:05');
    expect(scheduleVO.wed).toBe('07:10');
    expect(scheduleVO.thu).toBe('07:15');
    expect(scheduleVO.fri).toBe('07:20');
    expect(scheduleVO.sat).toBe('07:25');
    expect(scheduleVO.sun).toBe('07:30');
  });
});
